#define VK_LBUTTON 0x01		// Left mouse button
#define VK_RBUTTON 0x02		// Right mouse button
#define VK_CANCEL 0x03		// Control-break processing
#define VK_MBUTTON 0x04		// Middle mouse button on a three-button mouse
#define VK_BACK 0x08		// BACKSPACE key
#define VK_TAB 0x09		// TAB key
#define VK_CLEAR 0x0C		// CLEAR key
#define VK_RETURN 0x0D		// ENTER key
#define VK_SHIFT 0x10		// SHIFT key
#define VK_CONTROL 0x11		// CTRL key
#define VK_MENU 0x12		// ALT key
#define VK_PAUSE 0x13		// PAUSE key
#define VK_CAPITAL 0x14		// CAPS LOCK key
#define VK_ESCAPE 0x1B		// ESC key
#define VK_SPACE 0x20		// SPACEBAR
#define VK_PRIOR 0x21		// PAGE UP key
#define VK_NEXT 0x22		// PAGE DOWN key
#define VK_END 0x23		// END key
#define VK_HOME 0x24		// HOME key
#define VK_LEFT 0x25		// LEFT ARROW key
#define VK_UP 0x26		// UP ARROW key
#define VK_RIGHT 0x27		// RIGHT ARROW key
#define VK_DOWN 0x28		// DOWN ARROW key
#define VK_SELECT 0x29		// SELECT key
#define VK_EXECUTE 0x2B		// EXECUTE key
#define VK_SNAPSHOT 0x2C	// PRINT SCREEN key
#define VK_INSERT 0x2D		// INS key
#define VK_DELETE 0x2E		// DEL key
#define VK_HELP 0x2F		// HELP key
#define VK_LWIN 0x5B		// Left Windows key on a Microsoft Natural Keyboard
#define VK_RWIN 0x5C		// Right Windows key on a Microsoft Natural Keyboard
#define VK_APPS 0x5D		// Applications key on a Microsoft Natural Keyboard
#define VK_NUMPAD0 0x60		// Numeric keypad 0 key
#define VK_NUMPAD1 0x61		// Numeric keypad 1 key
#define VK_NUMPAD2 0x62		// Numeric keypad 2 key
#define VK_NUMPAD3 0x63		// Numeric keypad 3 key
#define VK_NUMPAD4 0x64		// Numeric keypad 4 key
#define VK_NUMPAD5 0x65		// Numeric keypad 5 key
#define VK_NUMPAD6 0x66		// Numeric keypad 6 key
#define VK_NUMPAD7 0x67		// Numeric keypad 7 key
#define VK_NUMPAD8 0x68		// Numeric keypad 8 key
#define VK_NUMPAD9 0x69		// Numeric keypad 9 key
#define VK_MULTIPLY 0x6A	// Multiply key
#define VK_ADD 0x6B		// Add key
#define VK_SEPARATOR 0x6C	// Separator key
#define VK_SUBTRACT 0x6D	// Subtract key
#define VK_DECIMAL 0x6E		// Decimal key
#define VK_DIVIDE 0x6F		// Divide key
#define VK_F1 0x70		// F1 key
#define VK_F2 0x71		// F2 key
#define VK_F3 0x72		// F3 key
#define VK_F4 0x73		// F4 key
#define VK_F5 0x74		// F5 key
#define VK_F6 0x75		// F6 key
#define VK_F7 0x76		// F7 key
#define VK_F8 0x77		// F8 key
#define VK_F9 0x78		// F9 key
#define VK_F10 0x79		// F10 key
#define VK_F11 0x7A		// F11 key
#define VK_F12 0x7B		// F12 key
#define VK_F13 0x7C		// F13 key
#define VK_F14 0x7D		// F14 key
#define VK_F15 0x7E		// F15 key
#define VK_F16 0x7F		// F16 key
#define VK_F17 0x80		// F17 key
#define VK_F18 0x81		// F18 key
#define VK_F19 0x82		// F19 key
#define VK_F20 0x83		// F20 key
#define VK_F21 0x84		// F21 key
#define VK_F22 0x85		// F22 key
#define VK_F23 0x86		// F23 key
#define VK_F24 0x87		// F24 key
#define VK_NUMLOCK 0x90		// NUM LOCK key
#define VK_SCROLL 0x91		// SCROLL LOCK key
#define VK_LSHIFT 0xA0		// Left SHIFT
#define VK_RSHIFT 0xA1		// Right SHIFT
#define VK_LCONTROL 0xA2	// Left CTRL
#define VK_RCONTROL 0xA3	// Right CTRL
#define VK_LMENU 0xA4		// Left ALT
#define VK_RMENU 0xA5		// Right ALT

#define MK_LBUTTON 0x01	// The left mouse button is down.
#define MK_RBUTTON 0x02	// The right mouse button is down.
#define MK_MBUTTON 0x10	// The middle mouse button is down.
#define MK_SHIFT   0x04	// The SHIFT key is down.
#define MK_CONTROL 0x08	// The CTRL key is down.
